# -an (Disable parsing of archive_name) switch

Disables parsing of the archive_name field on the command line. This switch must be used with the -ai (Include archives) switch. If you use a file list for your archives, you specify it with the -ai switch, so you need to disable parsing of archive_name field from command line.

#### Syntax

    -an

#### Examples

    7z t -an -ai!*.7z -ax!a*.7z

tests all *.7z archives, except a*.7z archives.

#### Commands that can be used with this switch

e (Extract), l (List), t (Test), x (Extract with full paths)

#### See also

Switches: -ai (Include archives) -ax (Exclude archives)